package com.petshop.backend;

import com.petshop.backend.config.FlywayContextInitializer;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.data.web.config.EnableSpringDataWebSupport;
import org.springframework.scheduling.annotation.EnableScheduling;

@SpringBootApplication
@EnableScheduling
@EnableSpringDataWebSupport(pageSerializationMode = EnableSpringDataWebSupport.PageSerializationMode.VIA_DTO)
public class BackendApplication {
    public static void main(String[] args) {
        RuntimeClasspathValidator.validate();
        new SpringApplicationBuilder(BackendApplication.class)
                .initializers(new FlywayContextInitializer())
                .run(args);
    }
}
